Bug 1122504 - qemu-kvm crashed (Aborted) in assert worker->surfaces[i].context.canvas while closing spice session
Summary: qemu-kvm crashed (Aborted) in assert worker->surfaces[i].context.canvas while...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-server
Version: 6.5
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: rc
: ---
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:56 UTC by pagupta
Modified: 2018-12-20 10:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-02 13:53:46 UTC


Attachments (Terms of Use)

Description pagupta 2014-07-23 11:56:59 UTC
Description of problem:

qemu-kvm getting crashed (Aborted) in assert worker->surfaces[i].context.canvas while closing spice session on Windows 7 32bit.


Version-Release number of selected component (if applicable):

spice-server-0.12.4-6.el6_5.2.x86_64                
qemu-kvm-rhev-0.12.1.2-2.415.el6_5.10.x86_64                


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
qemu-kvm should is crashing.


Expected results:
qemu-kvm should not Abort.


Additional info:

Comment 5 Marc-Andre Lureau 2014-07-30 08:02:36 UTC
Can you reproduce 100%? If not, I suggest to lower prio/severity. Thanks

Comment 8 Marc-Andre Lureau 2014-08-05 14:31:32 UTC
What is the QXL driver being used? How is the guest configured? (qemu command line or XML). This bug is really hard to solve just reading the code, we badly need a reproducer. Any help appreciated.

Comment 11 Marc-Andre Lureau 2014-08-06 17:05:42 UTC
I am unable to reproduce this bug on rhel6.

I installed a win7 x86 guest, with spice-guest-tools 0.74 / qxl 6.1.0.10018. Then I run virt-viewer connection / disconnection in a loop for a whole day.

Any hint appreciated!

Comment 12 Marc-Andre Lureau 2014-08-19 12:14:24 UTC
not reproducible so far, moving to 6.7


Note You need to log in before you can comment on or make changes to this bug.